<table id="example3" class="table table-bordered table-striped table-hover table-sm mb-4">
    <thead>
        <tr>
            <th>No</th>
            <th>Detail</th>
            <th>Nama</th>
            <th>NIS</th>
            <th>Kelas</th>
            <th>Kode : Jenis Pembayaran</th>
            <th>Periode</th>
            <th>Jumlah</th>



        </tr>
    </thead>
    <tbody>

        <?php
        $class = new crudData();
        $time = new time;
        $today = $time->getDate();
        $showList = $class->showTable($tb_transaksi . " where tanggal='$today'");
        $no = 0;
        while ($data = $showList->fetch(PDO::FETCH_OBJ)) {
            $format = new format();
            if ($data->setor == "Ya") {
                $setor = "Disetor";
            } else {
                $setor = "--";
            };
            $nis = $data->nis;
            $tahap = $data->tahap;
            //nama Bayar
            $classNB = new namaBayar();
            $ceknamaBayar = $classNB->ceknamaBayar($tahun, $data->jenis, $data->jenjang);

            //startAt
            $classTr = new transaksi();
            $startAt = $classTr->startAt($tb_siswa, $nis);
            $cekbulan = $classTr->cekPeriode($startAt, $tahap, $tahun1, $tahun2);

            //nama Bayar
            $classNB = new namaBayar();
            $ceknamaBayar = $classNB->ceknamaBayar($tahun, $data->jenis, $data->jenjang);

            $showJenis = $classNB->shownamaBayar($tahun, $data->jenis, $data->jenjang);
            $datajenis = $showJenis->fetch(PDO::FETCH_OBJ);
            $field_tang = 'tang_' . $datajenis->kode;
            $setbulanan = $datajenis->bulanan; //Cek Apakah Bulanan

            if ($setbulanan == "Tidak") {
                $periode = "Tahap " . $tahap;
            } else {
                $periode = $cekbulan;
            };

            //Proses Setor
            $clsSetor = new setor;
            $statusSetor = $clsSetor->statusSetor($data->setor);

            $link = new linkpage;
            $no++;
            echo "
                                                    <tr>
                                                        <td width='5px'>$no</td>
                                                        <td width='50px' align='center'>
                                                        " . $modal->modalTabunganTr('./view/transaksi/transaksi_view', 'viewTr', $data->id . $tahun, 'xl', 'default', 'DETAIL TRANSAKSI', "<strong class='bi bi-search text-secondary'> DETAIL TRANSAKSI</strong>", 'text-light', '<b class=text-light>DETAIL</b>', 'primary', 'DETAIL') . "
                                                         </td>
                                                       <td align=left>$data->nama</td>
                                                        <td align=center>$nis</td>
                                                        <td align=center>$data->jenjang - $data->paralel</td>
                                                        <td align=left>$data->jenis : $ceknamaBayar</td>
                                                        <td align=left>$periode</td>
                                                        <td align=right>" . $format->ribuan($data->jumlah) . "</td>
                                                     
                                                    </tr>";
        }

        ?>

    </tbody>
</table>